diff tests/test-supportprogs/test-supportprogs.sh @ 119:7a31201dc42d test-reorg

Split out tests into individual directories, with simpler naming therein
author Chris Cannam
date Wed, 08 Oct 2014 15:08:57 +0100
parents tests/test-supportprogs.sh@581b1b150a4d
children a1300db6c63e
line wrap: on
line diff
--- /dev/null	Thu Jan 01 00:00:00 1970 +0000
+++ b/tests/test-supportprogs/test-supportprogs.sh	Wed Oct 08 15:08:57 2014 +0100
@@ -0,0 +1,15 @@
+#!/bin/bash
+
+fail() {
+    echo "Test failed: $1"
+    exit 1
+}
+
+xmllint --version 2>/dev/null || \
+    fail "Can't find required xmllint program"
+
+rapper --version >/dev/null || \
+    fail "Can't find required rapper program"
+
+exit 0
+